Subject: bug#67039: guided installer barrage

From: outlook user <[email-masked]>
Date: Fri, 10 Nov 2023 08:09:48 +0000

I don't know if it's bugs or functionalities, but here they are, on the latest GSD guided installer:

When the ISO is written on a partition rather than a drive, GRUB struggles to know that it should search on (hdi,gpti) instead of (hdi), the workaround is to replace the latter with the former in cmdpath, root, and the last variable then ask to proceed, it works

Second is that the ISO is almost 1 GB and doesn't even have what is needed to have a minimal working installation. The installer can't even proceed without the internet, despite its size

Third is a corollary, which doesn't support all network cards, so the guided installer is impossible to proceed because of that even with connectivity

Fourth is maybe more about i18n, but well... About locales, you can't select any countries for any language. Only a few countries support vast language set

Fifth, the french layout doesn't have Latin-10

Sixth, the guided installer says that it filters out the installer drive, which is problematic because you sometimes want to install on the same drive where the installer partition is

Seventh, the guided installer says that it filters out the installer drive, which he doesn't even do, the installer drive is available for selection

Eight, the incompatibility prompt doesn't complain about any problems with my internal drive but doesn't list it in the drive list, making it impossible to install on the computer. I don't know if he has an actual problem with the drive hardware or a weird filter filter it out, but I can't do much

Ninth, the documentation says multiple times that the installer lets you go back anytime in the installation process, but at the connectivity detection, you're stuck, can't do anything else than validate it, and no return is possible

I don't know how these problems would be considered but on my part, it's considered critical on the guided perimeter because it literally impeach me from installing